Bug 1397467 - Expose PUT /rhsm to user credentials so facts may be updated in candlepin
Summary: Expose PUT /rhsm to user credentials so facts may be updated in candlepin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts - Content
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: Unspecified
Assignee: Tom McKay
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks: 1405523
TreeView+ depends on / blocked
 
Reported: 2016-11-22 15:29 UTC by Tom McKay
Modified: 2019-09-25 21:20 UTC (History)
5 users (show)

Fixed In Version: rubygem-katello-3.0.0.91-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1405523 (view as bug list)
Environment:
Last Closed: 2017-01-26 10:46:00 UTC
Target Upstream Version:


Attachments (Terms of Use)
verification screenshot (38.24 KB, image/png)
2017-01-16 22:01 UTC, jcallaha
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17444 0 Normal Closed Expose PUT /rhsm to user credentials so facts may be updated in candlepin 2020-08-30 19:06:09 UTC
Red Hat Product Errata RHBA-2017:0197 0 normal SHIPPED_LIVE Satellite 6.2.7 Async Bug Release 2017-01-26 15:38:38 UTC

Description Tom McKay 2016-11-22 15:29:03 UTC
Updating candlepin consumer facts via /hosts api is not supported. To allow this, expose the subscription-manager /rhsm api to user credentials (currently it is exposed only via registered consumer credentials).

Comment 1 Tom McKay 2016-11-22 15:29:07 UTC
Created from redmine issue http://projects.theforeman.org/issues/17444

Comment 2 Tom McKay 2016-11-22 15:29:11 UTC
Upstream bug assigned to tomckay@redhat.com

Comment 5 Rich Jerrido 2016-11-22 16:40:04 UTC
+1 This would also allow the customer to have automation to report facts until such time Satellite (and its associated deployment of Candlepin) support the hypervisors_async capability. 

See also - https://bugzilla.redhat.com/show_bug.cgi?id=1307024

Comment 6 Bryan Kearney 2016-11-28 17:07:23 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17444 has been resolved.

Comment 9 jcallaha 2017-01-16 22:00:50 UTC
Verified in Satellite 6.2.7 Snap 1 based on the verification in https://bugzilla.redhat.com/show_bug.cgi?id=1400697#c13

Successfully submitted a PUT request to /rhsm/consumers, updating the number of cores per cpu socket to 12. See attached screenshot for verification. Additionally, see below for the updated fact seen for this consumer.

{
    "id": "8a9084ef58ea58620158ec413ba67b36",
    "uuid": "fe00d96d-9eb4-4896-b6a7-4c4cb23e7b24",
    "name": "abcdefg",
    "username": "foreman_admin",
    "entitlementStatus": "invalid",
    "serviceLevel": "",
    "releaseVer": {
        "releaseVer": null
    },
    "idCert": {
        "key": "",
        "cert": "",
        "id": "8a9084ef58ea58620158ec413c847b39",
        "serial": {
            "id": 4965830198058643801,
            "revoked": false,
            "collected": false,
            "expiration": "2032-12-11T05:00:47.925+0000",
            "serial": 4965830198058643801,
            "created": "2016-12-11T05:00:47.925+0000",
            "updated": "2016-12-11T05:00:47.925+0000"
        },
        "created": "2016-12-11T05:00:48.132+0000",
        "updated": "2016-12-11T05:00:48.132+0000"
    },
    "type": {
        "id": "1000",
        "label": "system",
        "manifest": false
    },
    "owner": {
        "id": "8a9084ef58abf2880158abf2fbb10001",
        "key": "Default_Organization",
        "displayName": "Default Organization",
        "href": "/owners/Default_Organization"
    },
    "environment": {
        "owner": {
            "id": "8a9084ef58abf2880158abf2fbb10001",
            "key": "Default_Organization",
            "displayName": "Default Organization",
            "href": "/owners/Default_Organization"
        },
        "name": "Library/6_tools",
        "description": null,
        "id": "1-55",
        "environmentContent": [
            {
                "id": "8a9084ef58d480e40158e3fd98c35487",
                "contentId": "168",
                "enabled": null,
                "created": "2016-12-09T14:29:57.571+0000",
                "updated": "2016-12-09T14:29:57.571+0000"
            },
            {
                "id": "8a9084ef58d480e40158e3fd98c45489",
                "contentId": "1673",
                "enabled": null,
                "created": "2016-12-09T14:29:57.572+0000",
                "updated": "2016-12-09T14:29:57.572+0000"
            },
            {
                "id": "8a9084ef58d480e40158e0703a990337",
                "contentId": "1480534994421",
                "enabled": null,
                "created": "2016-12-08T21:56:41.241+0000",
                "updated": "2016-12-08T21:56:41.241+0000"
            },
            {
                "id": "8a9084ef58d480e40158e3fd98c45488",
                "contentId": "3026",
                "enabled": null,
                "created": "2016-12-09T14:29:57.572+0000",
                "updated": "2016-12-09T14:29:57.572+0000"
            },
            {
                "id": "8a9084ef58d480e40158e3fd98c05485",
                "contentId": "2396",
                "enabled": null,
                "created": "2016-12-09T14:29:57.568+0000",
                "updated": "2016-12-09T14:29:57.568+0000"
            },
            {
                "id": "8a9084ef58d480e40158e0703a980336",
                "contentId": "1480534939157",
                "enabled": null,
                "created": "2016-12-08T21:56:41.240+0000",
                "updated": "2016-12-08T21:56:41.240+0000"
            },
            {
                "id": "8a9084ef58d480e40158e0703a920335",
                "contentId": "1480534955957",
                "enabled": null,
                "created": "2016-12-08T21:56:41.234+0000",
                "updated": "2016-12-08T21:56:41.234+0000"
            },
            {
                "id": "8a9084ef58d480e40158e3fd98c25486",
                "contentId": "166",
                "enabled": null,
                "created": "2016-12-09T14:29:57.570+0000",
                "updated": "2016-12-09T14:29:57.570+0000"
            }
        ],
        "created": "2016-12-08T21:56:21.322+0000",
        "updated": "2016-12-08T21:56:21.322+0000"
    },
    "entitlementCount": 0,
    "facts": {
        "_timestamp": "2017-01-16T16:49:48-05:00",
        "cpu.core(s)_per_socket": "12"
    },
    "lastCheckin": null,
    "installedProducts": [
        {
            "id": "8a9084ef58ea58620158ec413ba67b37",
            "productId": "69",
            "productName": "Red Hat Enterprise Linux Server",
            "version": "6.8",
            "arch": "x86_64",
            "status": "red",
            "startDate": null,
            "endDate": null,
            "created": "2016-12-11T05:00:47.910+0000",
            "updated": "2016-12-11T05:00:47.910+0000"
        }
    ],
    "canActivate": false,
    "guestIds": [],
    "capabilities": [],
    "hypervisorId": null,
    "contentTags": [],
    "autoheal": true,
    "dev": false,
    "href": "/consumers/fe00d96d-9eb4-4896-b6a7-4c4cb23e7b24",
    "created": "2016-12-11T05:00:47.910+0000",
    "updated": "2017-01-16T21:49:50.679+0000"
}

Comment 10 jcallaha 2017-01-16 22:01:10 UTC
Created attachment 1241430 [details]
verification screenshot

Comment 12 errata-xmlrpc 2017-01-26 10:46:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:0197


Note You need to log in before you can comment on or make changes to this bug.